libmtp7 for Ubuntu Gutsy (Creative Zen & Ubuntu Gutsy)

As already mentioned in my last post, Ubuntu Gutsy does not come with a current version of libmtp which is required if you want to get your Creative Zen running with Linux. Luckily, it’s very easy to build new packages: just download the latest source from here and follow my HOWTO on building new packages for gpsbabel – it works just the same. You’ll end up with four packages (libraries, development, documentation and tools). You’ll have to install at least “libmtp6_0.2.6.1-1_<arch>.deb”. Once your new package(s) is/are installed, you need to do one more thing though: when building the new package, we were updating from Ubuntus libmtp6, so the package is named “libmtp6…”, but what we actually have inside the package is libmtp7. Amarok expects “/usr/lib/libmtp.so.6”, but we now have “/usr/lib/libmtp.so.7” (which is a symlink to libmtp.so.7.1.0). We do overcome this small issue very easily:

cd /usr/lib
sudo ln -s libmtp.so.7.1.0 libmtp.so.6

You may now run Amarok and start syncing your media files! (See some details here.)

If you don’t want to build the packages yourself, feel free to download them from here (build on Ubuntu Gutsy i386):